<?php

function createArchive($mode = "all", $type = "vis") {
    extract($_GET);
    extract($_POST);
    // ------------------------
    // vpj : visitors per day
    // vpm : visitors per month
    // ------------------------

    global $lvc_table_visitors, $gDb, $lvm_error_nodata, $lvc_nb_top_visitors, $lvc_nb_top_referer, $lvc_nb_top_agent_os, $lvc_nb_top_agent, $lvc_nb_top_domain, $lvc_agent, $lvm_others_agent, $lvc_table_archives, $lvm_archive_created, $lvc_OS_IHM, $lvm_others_os, $lvc_fai, $lvm_others_fai, $lvc_pays, $lvm_others_pays;

    if ($mode == "monthly_stats") {
        $suffixe = $mode;
        $rname = Array('vtot', 'vbots', 'vsig', 'htot', 'hbots', 'hsig', 'vnbref', 'vsigref', 'hnbref', 'hsigref');

        $date = $year.'/'.sprintf('%02d', $month);

        $query  = "SELECT COUNT(*) AS C, SUM(HITS) AS D ";
        $query .= "FROM ".$lvc_table_visitors." ";
        $query .= "WHERE DATE LIKE '".$date."%'";

        if ($gDb->DbQuery($query) && $gDb->DbNumRows() != 0)
        {
            $gDb->Row = $gDb->DbNextRow();
            $data['vtot'] = $gDb->Row['C'];
            $data['htot'] = $gDb->Row['D'];
        }

        if ($data['vtot'] == 0)
        {
            echo "<TR>";
            echo "<TD CLASS='visref' COLSPAN='3' ALIGN='center'><BR><A CLASS='error'>&nbsp;&nbsp;".str_replace('{VISITORS_TABLE}', $lvc_table_visitors, $lvm_error_nodata)."&nbsp;&nbsp;</A><BR><BR></TD>";
            echo "</TR>\n";
        }
        $query  = "SELECT COUNT(*) AS C, SUM(HITS) AS D ";
        $query .= "FROM ".$lvc_table_visitors." ";
        $query .= "WHERE DATE LIKE '".$date."%' ";
        $query .= "AND BOT = 1";

        if ($gDb->DbQuery($query) && $gDb->DbNumRows() != 0)
        {
            $gDb->Row = $gDb->DbNextRow();
            $data['vbots'] = $gDb->Row['C'];
            $data['hbots'] = $gDb->Row['D'];
        }

        $query  = "SELECT COUNT(*) AS C, SUM(HITS) AS D ";
        $query .= "FROM ".$lvc_table_visitors." ";
        $query .= "WHERE DATE LIKE '".$date."%' ";
        $query .= "AND BOT = 0 AND HITS > 1";

        if ($gDb->DbQuery($query) && $gDb->DbNumRows() != 0)
        {
            $gDb->Row = $gDb->DbNextRow();
            $data['vsig'] = $gDb->Row['C'];
            $data['hsig'] = $gDb->Row['D'];
        }

        $query  = "SELECT COUNT(*) AS C, SUM(HITS) AS D ";
        $query .= "FROM ".$lvc_table_visitors." ";
        $query .= "WHERE DATE LIKE '".$date."%' ";
        $query .= "AND BOT = 0 AND REF_HOST <> '' AND REF_HOST <> '[unknown origin]' AND REF_HOST <> 'bookmarks'";

        if ($gDb->DbQuery($query) && $gDb->DbNumRows() != 0)
        {
            $gDb->Row = $gDb->DbNextRow();
            $data['vnbref'] = $gDb->Row['C'];
            $data['hnbref'] = $gDb->Row['D'];
        }

        $query  = "SELECT COUNT(*) AS C, SUM(HITS) AS D ";
        $query .= "FROM ".$lvc_table_visitors." ";
        $query .= "WHERE DATE LIKE '".$date."%' ";
        $query .= "AND BOT = 0 AND HITS > 1 AND REF_HOST <> '' AND REF_HOST <> '[unknown origin]' AND REF_HOST <> 'bookmarks'";

        if ($gDb->DbQuery($query) && $gDb->DbNumRows() != 0)
        {
            $gDb->Row = $gDb->DbNextRow();
            $data['vsigref'] = $gDb->Row['C'];
            $data['hsigref'] = $gDb->Row['D'];
        }
    }
    else {
        $rname = Array('vpm', 'topVis', 'topNavOS', 'topOS', 'topNav', 'topFAI', 'topPays', 'vph', 'topRef', 'topDom', 'vpj');
  
        $data['vpj'] = '';
        $data['vpm'] = 0;

        $clause = " BOT < 2 ";
        $suffixe = "tot";
        if ($mode == "nb") {
            $clause = " BOT = 0 ";
            $suffixe = "nb";
        }
        else if ($mode == "sig") {
            $clause = " BOT = 0 AND HITS > 1 ";
            $suffixe = "sig";
        }

        $func = "COUNT(*)";
        if ($type == "hits") {
            $func = "SUM(HITS)";
            $suffixe = "h".$suffixe;
        }

        for ($cnt = 1; $cnt <= 31; $cnt++)
        {
            if (checkdate($month, $cnt, $year))
            {
                $day = sprintf('%4d/%02d/%02d', $year, $month, $cnt);
                
                $query  = "SELECT $func AS C FROM ".$lvc_table_visitors." WHERE $clause AND DATE LIKE '".$day."%'";
                if ($gDb->DbQuery($query) && $gDb->DbNextRow())
                {
                    $record = $gDb->Row;

                    if ($cnt > 1)
                        $data['vpj'] .= '+';

                    $data['vpj'] .= $cnt.'+'.$record['C'];
                    $data['vpm'] += $record['C'];
                }
            }
        }

        // ----------------------
        // vph: visitors per hour
        // ----------------------
        $date['vph'] = '';
        for ($hour = 0; $hour <= 23; $hour++)
        {
         
            $query  = 'SELECT '.$func.' AS C ';
            $query .= 'FROM '.$lvc_table_visitors.' ';
            $query .= "WHERE $clause AND DATE LIKE '".$year.'/'.sprintf('%02d', $month).'/__ '.sprintf('%02d', $hour).":__'";

            if ($gDb->DbQuery($query) && $gDb->DbNextRow())
            {
                $record = $gDb->Row;

                if ($hour > 0)
                    $data['vph'] .= '+';

                $data['vph'] .= $hour.'+'.$record['C'];
            }
        }


        // --------------------
        // topVis: top visitors
        // --------------------
        $query = 'SET SQL_BIG_TABLES = 1';
        $gDb->DbQuery($query);

        $query  = 'SELECT HOST, '.$func.' AS C ';
        $query .= 'FROM '.$lvc_table_visitors.' ';
        $query .= "WHERE $clause AND DATE LIKE '".$year.'/'.sprintf('%02d', $month)."/%' ";
        $query .= 'GROUP BY HOST ';
        $query .= 'ORDER BY C DESC, HOST ';

        $data['topVis'] = '';
        if ($gDb->DbQuery($query, 0, $lvc_nb_top_visitors))
        {
            $cnt = 0;
            while ($gDb->DbNextRow())
            {
                $record = $gDb->Row;
                
                if ($cnt++ > 0)
                    $data['topVis'] .= '+';

                $data['topVis'] .= $record['HOST'].'+'.$record['C'];
            }
        }


        // --------------------
        // topRef: top referers
        // --------------------
        $query  = 'SELECT REF_HOST, '.$func.' AS C ';
        $query .= 'FROM '.$lvc_table_visitors.' ';
        $query .= "WHERE $clause AND DATE LIKE '".$year.'/'.sprintf('%02d', $month)."/%' ";
        $query .= "AND REF_HOST != '' ";
        $query .= "AND REF_HOST != '[unknown origin]' ";
        $query .= "AND REF_HOST != 'bookmarks' ";
        $query .= 'GROUP BY REF_HOST ';
        $query .= 'ORDER BY C DESC, REF_HOST ';

        $data['topRef'] = '';
        if ($gDb->DbQuery($query, 0, $lvc_nb_top_referer))
        {
            $cnt = 0;
            while ($gDb->DbNextRow())
            {
                $record = $gDb->Row;
                
                if ($cnt++ > 0)
                    $data['topRef'] .= '+';

                $data['topRef'] .= $record['REF_HOST'].'+'.$record['C'];
            }
        }


        // -------------------
        // topDom: top domains
        // -------------------
        $query  = "SELECT LCASE(SUBSTRING_INDEX(HOST, '.', -1)) AS D, $func AS C ";
        $query .= 'FROM '.$lvc_table_visitors.' ';
        $query .= "WHERE $clause AND (HOST <> ADDR) AND DATE LIKE '".$year.'/'.sprintf('%02d', $month)."/%' ";
        $query .= 'GROUP BY D ';
        $query .= 'ORDER BY C DESC, D ';

        $data['topDom'] = '';
        if ($gDb->DbQuery($query, 0, $lvc_nb_top_domain))
        {
            $cnt = 0;
            while ($gDb->DbNextRow())
            {
                $record = $gDb->Row;
                
                if ($cnt++ > 0)
                    $data['topDom'] .= '+';

                $data['topDom'] .= $record['D'].'+'.$record['C'];
            }
        }


        // ----------------------------------------------------------------------------
        // topNavOs: top agent/OS
        // ----------------------------------------------------------------------------
        $query  = 'SELECT AGENT, '.$func.' AS C ';
        $query .= 'FROM '.$lvc_table_visitors.' ';
        $query .= "WHERE $clause AND AGENT <> '' AND DATE LIKE '".$year.'/'.sprintf('%02d',$month)."/%' ";
        $query .= 'GROUP BY AGENT ';
        $query .= 'ORDER BY C DESC, AGENT ';

        $data['topNavOS'] = "";
        if ($gDb->DbQuery($query, 0, $lvc_nb_top_agent_os))
        {
            $cnt = 0;
            while ($gDb->DbNextRow())
            {
                $record = $gDb->Row;
                
                if ($cnt++ > 0)
                    $data['topNavOS'] .= '+';

                $data['topNavOS'] .= str_replace('+', ' ', $record['AGENT']).'+'.$record['C'];
            }
        }


        // -------------
        // topOS: top OS
        // -------------
        $others = '';
        $total = 0;
        for (reset($lvc_OS_IHM); list($key, $value) = each($lvc_OS_IHM);)
        {
            $query  = 'SELECT '.$func.' AS C ';
            $query .= 'FROM '.$lvc_table_visitors.' ';
            $query .= "WHERE $clause AND DATE LIKE '".$year.'/'.sprintf('%02d', $month)."/%' ";
            $query .= "AND AGENT LIKE '%".$key."%'";

            if ($gDb->DbQuery($query) && $gDb->DbNumRows() != 0)
            {
                $gDb->DbNextRow();
                $record = $gDb->Row;
                
                if ($record['C'] > 0) {
                    if (isset($cnt_OS[$value])) {
                        $cnt_OS[$value] = $cnt_OS[$value] + $record['C'];
                    }
                    else {
                        $cnt_OS[$value] = $record['C'];
                    }
                }
                $total += $record['C'];
            }
        }

        // others OS
        $cnt_OS[$lvm_others_os] = $data['vpm'] - $total;

        $data['topOS'] = '';
        $cnt = 0;
        for (reset($cnt_OS); list($key, $value) = each($cnt_OS);)
        {
            if (is_numeric($value) && $value > 0) {
                if ($cnt++ > 0)
                    $data['topOS'] .= '+';
                $data['topOS'] .= $key.'+'.$value;
            }
        }


        // -----------------
        // topNav: top agent
        // -----------------
        $others = '';
        $total = 0;
        for (reset($lvc_agent); list($key, $value) = each($lvc_agent);)
        {
            $query  = 'SELECT '.$func.' AS C ';
            $query .= 'FROM '.$lvc_table_visitors.' ';
            $query .= "WHERE $clause AND DATE LIKE '".$year.'/'.sprintf('%02d', $month)."/%' ";
            $query .= "AND AGENT LIKE'%".$value."%'";

            if ($gDb->DbQuery($query) && $gDb->DbNumRows() != 0)
            {
                $gDb->DbNextRow();
                $record = $gDb->Row;
                
                if ($record['C'] > 0) {
                    if (isset($cnt_agent[$key])) {
                        $cnt_agent[$key] = $cnt_agent[$key] + $record['C'];
                    }
                    else {
                        $cnt_agent[$key] = $record['C'];
                    }
                }
                $total += $record['C'];
            }
        }

        // other agents
        $cnt_agent[$lvm_others_agent] = $data['vpm'] - $total;

        $data['topNav'] = '';
        $cnt = 0;
        for (reset($cnt_agent); list($key, $value) = each($cnt_agent);)
        {
            if (is_numeric($value) && $value > 0) {
                if ($cnt++ > 0)
                    $data['topNav'] .= '+';
                $data['topNav'] .= $key.'+'.$value;
            }
        }


        // -----------------
        // topFAI: top isp
        // -----------------
        $others = '';
        $total = 0;
        for (reset($lvc_fai); list($key, $value) = each($lvc_fai);)
        {
            $query  = 'SELECT '.$func.' AS C ';
            $query .= 'FROM '.$lvc_table_visitors.' ';
            $query .= "WHERE $clause AND DATE LIKE '".$year.'/'.sprintf('%02d', $month)."/%' ";
            $query .= "AND FAI LIKE'%".$value."%'";

            if ($gDb->DbQuery($query) && $gDb->DbNumRows() != 0)
            {
                $gDb->DbNextRow();
                $record = $gDb->Row;
                
                if ($record['C'] > 0) {
                    if (isset($cnt_fai[$key])) {
                        $cnt_fai[$key] = $cnt_fai[$key] + $record['C'];
                    }
                    else {
                        $cnt_fai[$key] = $record['C'];
                    }
                }
                $total += $record['C'];
            }
        }

        // other agents
        $cnt_fai[$lvm_others_fai] = $data['vpm'] - $total;

        $data['topFAI'] = '';
        $cnt = 0;
        for (reset($cnt_fai); list($key, $value) = each($cnt_fai);)
        {
            if (is_numeric($value) && $value > 0) {
                if ($cnt++ > 0)
                    $data['topFAI'] .= '+';
                $data['topFAI'] .= $key.'+'.$value;
            }
        }
        
        
        // -----------------
        // topPays: top countries
        // -----------------
        $others = '';
        $total = 0;
        for (reset($lvc_pays); list($key, $value) = each($lvc_pays);)
        {
            $query  = 'SELECT '.$func.' AS C ';
            $query .= 'FROM '.$lvc_table_visitors.' ';
            $query .= "WHERE $clause AND DATE LIKE '".$year.'/'.sprintf('%02d', $month)."/%' ";
            $query .= "AND FAI LIKE'%".$value."%'";

            if ($gDb->DbQuery($query) && $gDb->DbNumRows() != 0)
            {
                $gDb->DbNextRow();
                $record = $gDb->Row;
                
                if ($record['C'] > 0) {
                    if (isset($cnt_pays[$key])) {
                        $cnt_pays[$key] = $cnt_pays[$key] + $record['C'];
                    }
                    else {
                        $cnt_pays[$key] = $record['C'];
                    }
                }
                $total += $record['C'];
            }
        }

        // other agents
        $cnt_pays[$lvm_others_pays] = $data['vpm'] - $total;

        $data['topPays'] = '';
        $cnt = 0;
        for (reset($cnt_pays); list($key, $value) = each($cnt_pays);)
        {
            if (is_numeric($value) && $value > 0) {
                if ($cnt++ > 0)
                    $data['topPays'] .= '+';
                $data['topPays'] .= $key.'+'.$value;
            }
        }
    }
        
    // --------------
    // saving archive
    // --------------
    $query  = 'SELECT code ';
    $query .= 'FROM '.$lvc_table_archives.'_'.$suffixe.' ';
    $query .= "WHERE annee='".$year."' AND mois='".$month."'";

    if ($gDb->DbQuery($query))
    {
        if ($gDb->DbNumRows() != 0)
        {
            $gDb->DbNextRow();
            $record = $gDb->Row;

            $code = $record['code'];

            $query = 'UPDATE '.$lvc_table_archives.'_'.$suffixe.' SET ';
            for ($cnt = 0; $cnt < sizeof($rname); $cnt++)
            {
                if ($cnt > 0)
                    $query .= ', ';
                $query .= $rname[$cnt]."='".$data[$rname[$cnt]]."'";
            }
            $query .= 'WHERE code='.$code;
        }
        else
        {
            $query = 'INSERT INTO '.$lvc_table_archives.'_'.$suffixe.' (mois, annee, ';
            for ($cnt = 0; $cnt < sizeof($rname); $cnt++)
            {
                if ($cnt > 0) $query .= ', ';
                $query .= $rname[$cnt];
            }
            $query .= ") VALUES ('".(int)$month."','".$year."',";
            for ($cnt = 0; $cnt < sizeof($rname); $cnt++)
            {
                if ($cnt > 0) $query .= ', ';
                $query .= "'".$data[$rname[$cnt]]."'";
            }
            $query .= ')';
        }
        // archive creation
        $gDb->DbQuery($query);
        //echo "$query";
    }

    // display results
    echo "<TR>";
    echo "<TD CLASS='visref' COLSPAN='3' ALIGN='center'><A CLASS='ok'>&nbsp;&nbsp;&gt;&gt; ".$lvm_archive_created." &lt;&lt;&nbsp;&nbsp;</A></TD>";
    echo "</TR>\n";
    for ($cnt = 0; $cnt < sizeof($rname); $cnt++)
    {
        echo "<TR>";
        echo "<TD CLASS='visref' COLSPAN='2' ALIGN='center'>&nbsp;<B>".$rname[$cnt]."</B>&nbsp;</TD>";
        echo "<TD CLASS='vis' ALIGN='left'>&nbsp;".str_replace('+', ' + ', htmlspecialchars($data[$rname[$cnt]]))."&nbsp;</TD>";
        echo "</TR>\n";
    }
}
echo "<TR>";
echo "<TH CLASS='vis' COLSPAN='3'>&nbsp;".$lvm_create_archive."&nbsp;</TH>";
echo "</TR>\n";

extract($_GET);
extract($_POST);

$date = $year.'/'.sprintf('%02d', $month);

$query  = "SELECT COUNT(*) AS C ";
$query .= "FROM ".$lvc_table_visitors." ";
$query .= "WHERE DATE LIKE '".$date."%'";

if ($gDb->DbQuery($query) && $gDb->DbNumRows() != 0 && $gDb->Row = $gDb->DbNextRow() && $gDb->Row['C'] == 0)
{
    echo "<TR>";
    echo "<TD CLASS='visref' COLSPAN='3' ALIGN='center'><BR><A CLASS='error'>&nbsp;&nbsp;".str_replace('{VISITORS_TABLE}', $lvc_table_visitors, $lvm_error_nodata)."&nbsp;&nbsp;</A><BR><BR></TD>";
    echo "</TR>\n";
}
else {
    @set_time_limit(0);

    createArchive("all", "vis");
    createArchive("nb", "vis");
    createArchive("sig", "vis");
    createArchive("all", "hits");
    createArchive("nb", "hits");
    createArchive("sig", "hits");
    createArchive("monthly_stats");

}
?>