<?php

// ------------------------------------------------------------------------- //
// Les Visiteurs - Statistiques de frquentation d'un site web               //
// ------------------------------------------------------------------------- //
// Visitors      - Web site statistics analysis program                      //
// ------------------------------------------------------------------------- //
// Copyright (C) 2000, 2001  J-Pierre DEZELUS <jpdezelus@phpinfo.net>        //
// ------------------------------------------------------------------------- //
//                   phpInfo.net <http://www.phpinfo.net/>                   //
// ------------------------------------------------------------------------- //
//  This program is free software; you can redistribute it and/or modify     //
//  it under the terms of the GNU General Public License as published by     //
//  the Free Software Foundation; either version 2 of the License, or        //
//  (at your option) any later version.                                      //
//                                                                           //
//  This program is distributed in the hope that it will be useful,          //
//  but WITHOUT ANY WARRANTY; without even the implied warranty of           //
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the            //
//  GNU General Public License for more details.                             //
//                                                                           //
//  You should have received a copy of the GNU General Public License        //
//  along with this program; if not, write to the Free Software              //
//  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307 USA //
// ------------------------------------------------------------------------- //

    $g_relative_path = '';
    $ignore_messages = false;

    // ------------------------------------------------------------------------ 
    // configuration file
    // ------------------------------------------------------------------------
    $lvc_include_dir = 'include/';
    $lvc_config_file = 'config.inc.php3';

    include($lvc_include_dir.$lvc_config_file);

    // ------------------------------------------------------------------------
    // library file
    // ------------------------------------------------------------------------
    include($lvc_include_dir.'library.inc.php');

    $g_page = INDEX_PAGE;

    // ------------------------------------------------------------------------
    // header
    // ------------------------------------------------------------------------
    include($lvc_include_dir.'header.inc.php');


    // ------------------------------------------------------------------------
    // database connexion
    // ------------------------------------------------------------------------
    $gDb = new Db;

    if (!$gDb->DbConnect($lvc_db_host, $lvc_db_user, $lvc_db_password, $lvc_db_database))
    {
        echo '<BR>'.display_error($lvm_connection_error);
    }
    

    // ------------------------------------------------------------------------
    // view ?
    // ------------------------------------------------------------------------
    if ($view != VIEW_MONTH && $view != VIEW_YEAR && $view != VIEW_USER && !($view == VIEW_ADMIN && $lvc_view_admin_menus))
    {
        $view = VIEW_DAY;
    }


    // ------------------------------------------------------------------------
    // menus
    // ------------------------------------------------------------------------
    include($lvc_include_dir.'menus.inc.php');

    
    // ------------------------------------------------------------------------
    // statistics
    // ------------------------------------------------------------------------
    
    if ($type == "hits") {
        $msg_type = $lvp_hits;
    }
    else {
        $msg_type = $lvp_visits;
    }
    if ($mode == "nb") {
        $msg_mode = $lvp_nbots;
    }
    else if ($mode == "sig") {
        $msg_mode = $lvp_sign;
    }
    else {
        $msg_mode = $lvp_total;
    }
    switch ($view)
    {
        case VIEW_DAY:
          $title = $lvm_title_day .' - '.$msg_type.' ('.$msg_mode.')';   break;
        case VIEW_MONTH:
          $title = $lvm_title_month.' - '.$lvm_arr_months[(int)$month].' '.$year.' - '.$msg_type.' ('.$msg_mode.')'; break;
        case VIEW_YEAR:
          $title = $lvm_title_year.' - '.$msg_type.' ('.$msg_mode.')';  break;
        case VIEW_USER:
          $title = $lvm_title_user.' - '.$msg_type.' ('.$msg_mode.')';  break;
        case VIEW_ADMIN:
          $title = $lvm_title_admin.' - '.${'lvm_adm_'.$p};  break;
    }
    echo "<CENTER><A CLASS='viewtitle'>&nbsp;&nbsp;".$lvc_site_name.' - '.$title."&nbsp;&nbsp;</A></CENTER>";
    include($lvc_include_dir.'/view-'.$view.'.inc.php');


    // ------------------------------------------------------------------------
    // footer
    // ------------------------------------------------------------------------
    include($lvc_include_dir.'/footer.inc.php');

?>