<?php

// Translation [english -> svenska] by Xavier R. and room33 <xav@lougaou.com>

// For translations, DO NOT delete or rename variables {VARIABLE_NAME}
// included in messages.

$lvm_adm_caches        = "Cache Modules";
$lvm_adm_archiver      = "Arkiv";
$lvm_admin             = "Administration";
$lvm_agent             = "Agent";
$lvm_archived          = "Lagrat i arkivet";
$lvm_archive_created   = "Ok arkiverat !";
$lvm_archiver_check    = "Kontrollera om arkivet finns i databasen.";
$lvm_archiver_archive  = "Skapa eller uppdatera tabellen '<B>{ARCHIVES_TABLE}</B>' fr den valda nnaden.";
$lvm_archiver_export   = "Exortera datat fr den valda mnaden i tabellen '<B>{VISITORS_TABLE}</B>' till en text fil.";
$lvm_archiver_delete   = "Denna operationen kommer <U><B>definitivt</B></U> att ta bort posten frn tabellen '<B>{VISITORS_TABLE}</B>' fr den valda mnaden.Innan du utfr operationen, kolla att arkivet finns i databasen.";

$lvm_average           = "Medel.";
$lvm_btn_archive       = "Arkiv";
$lvm_btn_check         = "Kontrollera";
$lvm_btn_delete        = "Tm";
$lvm_btn_export        = "Exportera";
$lvm_calendar          = "Kalender";
$lvm_check_archive     = "Kontrolera arkivet";
$lvm_check_all         = "Kontrollera allt";
$lvm_create_archive    = "Skapa arkivet";
$lvm_confirm_delete    = "Ta bort ?";
$lvm_connection_error  = "Databas koppligen misslyckades !";
$lvm_creation_date     = "Skapade datum";
$lvm_daily_stats       = "Antal dagar";
$lvm_day_direct        = "Direkt tkomst";
$lvm_day_referers      = "Vidarebefordrad av";
$lvm_day_visitors      = "Antal beskare";
$lvm_delay_days        = "d";
$lvm_delay_hours       = "t";
$lvm_delay_last        = "uppd";
$lvm_delay_minutes     = "mn";
$lvm_delay_seconds     = "s";
$lvm_delete            = "Ta bort";
$lvm_delete_ok         = "Borttagen !";
$lvm_delete_visitors   = "Tm tabellen {VISITORS_TABLE}";
$lvm_description       = "Beskrivning";
$lvm_directory         = "Adresslista";
$lvm_domain            = "Domn";
$lvm_error_nodata      = "Tabellen {VISITORS_TABLE} innehll inget data fr den valda mnaden !";
$lvm_file              = "Fil";
$lvm_go_back           = "Tillbacka";
$lvm_header_title      = "Beskarna frn";
$lvm_host              = "Vrd";
$lvm_invalid_password  = "Inkorrekt lsenord";
$lvm_last_months       = "{NB_LAST_MONTHS} senaste mnader";
$lvm_last_visitors     = "{NB_LAST_VISITORS} senaste beskare";
$lvm_month             = "Mnad";
$lvm_no                = "Nej";
$lvm_no_archive        = "Det finns inga arkiv fr den aktuella perioden";
$lvm_no_cache          = "Ingen Cache Module hittad !";
$lvm_no_delete         = "Borttagning avbruten";
$lvm_number            = "Ant.";
$lvm_os                = "OS";
$lvm_others_os         = "Andra";
$lvm_others_agent      = "Other";
$lvm_page_title        = "Beskarna";
$lvm_password          = "Lsenord (databas)";
$lvm_per_hour          = "Beskare/Timme";
$lvm_per_day           = "Beskare/Dag";
$lvm_referer           = "Fregende";
$lvm_size              = "Storlek";
$lvm_time              = "Timme";
$lvm_total             = "Totalt";
$lvm_today             = "Idag";

$lvm_title_admin         = "Administration";
$lvm_title_last_months   = "{NB_LAST_MONTHS} senaste mnader";
$lvm_title_current_month = "Mnadens Statistik";
$lvm_title_day           = "Daglig Statistik";
$lvm_title_month         = "Mnadlig Statistik";
$lvm_title_others        = "Annan Statistik";
$lvm_title_user          = "Annpassa Statistik";
$lvm_title_year          = "rlig Statistik";

$lvm_top_agent         = "Webblsare";
$lvm_top_agent_menu    = "Popularst Webblsare";
$lvm_top_agent_os      = "De {NB_TOP_AGENT_OS} populraste Webblsarna/OS";
$lvm_top_agent_os_menu = "Den populraste Webblsare/OS";
$lvm_top_domain        = "De {NB_TOP_AGENT_OS} populraste domnerna";
$lvm_top_domain_menu   = "Den populraste domn";
$lvm_top_os            = "OS:et";
$lvm_top_os_menu       = "Det populraste  OS";
$lvm_top_referer       = "De {NB_TOP_REFERER} populraste Fregende";
$lvm_top_referer_menu  = "Den populraste Referers";
$lvm_top_visitors      = "De {NB_TOP_VISITORS} populraste sidan beskare";
$lvm_top_visitors_menu = "Den populraste beskare";

$lvm_uncheck_all       = "Avmarkera allt";
$lvm_visitors_day      = "Beskare / Dag";
$lvm_visitors_per_day  = "Beskare / Dag - De {NB_LAST_MONTHS} senaste mnaderna";
$lvm_year              = "r";
$lvm_year_per_day      = "Beskare/Dag  - De 12 senaste mnaderna";
$lvm_yearly_graph      = "rlig grafik versikt";
$lvm_yes               = "Ja";
$lvm_12_months         = "Beskare / Mnad - De 12 senaste mnaderna";

$lvm_arr_months        = Array(1 => "Januari", "Februari", "Mars", "April", "Maj", "Juni", "Juli", 
                                    "Augusti", "September", "Oktober", "November", "December");

// without accents
$lvm_arr_months_graph  = Array(1 => "Januari", "Februari", "Mars", "April", "Maj", "Juni", "Juli", 
                                    "Augusti", "September", "Oktober", "November", "December");

$lvm_arr_months_abbr   = Array(1 => "Jan", "Feb", "Mar", "Apr", "Maj", "Jun", "Jul", "Aug", "Sep", "Okt", "Nov", "Dec");

function show_datetime($datetime)
{   
    // for caches delays
    // ------------------------
    // from yyyy-mm-dd hh:mn:ss
    // to      mm-yyyy hh:mn:ss

    $date  = substr($datetime, 8, 2) . '/'; // day
    $date .= substr($datetime, 5, 2) . ' '; // month
    $date .= substr($datetime, 11, 5);      // time

    return($date);
}

?>