<?php

// ------------------------------------------------------------------------- //
// Les Visiteurs - Statistiques de frquentation d'un site web               //
// ------------------------------------------------------------------------- //
// Visitors      - Web site statistics analysis program                      //
// ------------------------------------------------------------------------- //
// Copyright (C) 2000, 2001  J-Pierre DEZELUS <jpdezelus@phpinfo.net>        //
// ------------------------------------------------------------------------- //
//                   phpInfo.net <http://www.phpinfo.net/>                   //
// ------------------------------------------------------------------------- //
//  This program is free software; you can redistribute it and/or modify     //
//  it under the terms of the GNU General Public License as published by     //
//  the Free Software Foundation; either version 2 of the License, or        //
//  (at your option) any later version.                                      //
//                                                                           //
//  This program is distributed in the hope that it will be useful,          //
//  but WITHOUT ANY WARRANTY; without even the implied warranty of           //
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the            //
//  GNU General Public License for more details.                             //
//                                                                           //
//  You should have received a copy of the GNU General Public License        //
//  along with this program; if not, write to the Free Software              //
//  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307 USA //
// ------------------------------------------------------------------------- //

    // ------------------------------------------------------------------------ 
    // configuration file
    // ------------------------------------------------------------------------
    
    // **************************************************************** //
    // ATTENTION                                                        //
    // **************************************************************** //
    // $lvc_include_dir must be set in the file with 'new-visitor' call //
    // **************************************************************** //

    $ignore_messages = true;
    $lvc_include_dir = './';
    $lvc_config_file = 'config.inc.php3';

    include($lvc_include_dir.$lvc_config_file);
  
    $gDb = new Db;
    $connected = $gDb->DbConnect($lvc_db_host, $lvc_db_user, $lvc_db_password, $lvc_db_database);
    $gDb2 = new Db;
    $connected2 = $gDb2->DbConnect($lvc_db_host, $lvc_db_user, $lvc_db_password, $lvc_db_database);

    if ($connected && $connected2) {
        if (isset($_GET['reset'])) {
            $query = "SELECT CODE, REAL_AGENT FROM $lvc_table_visitors WHERE (REAL_AGENT <> 'I' AND REAL_AGENT <> '')";
        }
        else {
            $query = "SELECT CODE, REAL_AGENT FROM $lvc_table_visitors WHERE (REAL_AGENT <> 'I' AND REAL_AGENT <> '') AND (AGENT = 'I' OR AGENT = '')";
        }
        if ($gDb->DbQuery($query) && $gDb->DbNumRows() != 0) {
            $cor = 0;
            $nr = 0;
            $bot = 0;
            while ($gDb->DbNextRow()) {
                $record = $gDb->Row;
                $code = $record[0];
                $real_agent = $record[1];
                $new_agent = analyse_agent($real_agent, 1);
                if (ereg("(BOT)", $new_agent)) {
                    $query  = "UPDATE $lvc_table_visitors SET AGENT = '$new_agent', BOT = 1, FAI = 'B' WHERE CODE = " . $record['CODE'] ." LIMIT 1";
                    echo "Reconnu : $new_agent ($real_agent, code=$code)<br>";
                    $gDb2->DbQuery($query);
                    $bot ++;
                    $cor ++;
                }
                else if ($new_agent != "I") {
                    $query  = "UPDATE $lvc_table_visitors SET AGENT = '$new_agent', BOT = 0 WHERE CODE = " . $record['CODE'] ." LIMIT 1";
                    echo "Reconnu : $new_agent ($real_agent, code=$code)<br>";
                    $gDb2->DbQuery($query);
                    $cor ++;
                }
                else {
                    echo "Non reconnu : $real_agent, $new_agent<br>";
                    $nr ++;
                }
            }
            echo "<hr>Corrigs : $cor (BOT : $bot)<br>Non reconnus : $nr<hr>";
        }
        else {
            echo "<hr>Aucun navigateur non reconnu<hr>";
        }
    }
?>