<?php

// ------------------------------------------------------------------------- //
// Les Visiteurs - Statistiques de frquentation d'un site web               //
// ------------------------------------------------------------------------- //
// Visitors      - Web site statistics analysis program                      //
// ------------------------------------------------------------------------- //
// Copyright (C) 2000, 2001  J-Pierre DEZELUS <jpdezelus@phpinfo.net>        //
// ------------------------------------------------------------------------- //
//                   phpInfo.net <http://www.phpinfo.net/>                   //
// ------------------------------------------------------------------------- //
//  This program is free software; you can redistribute it and/or modify     //
//  it under the terms of the GNU General Public License as published by     //
//  the Free Software Foundation; either version 2 of the License, or        //
//  (at your option) any later version.                                      //
//                                                                           //
//  This program is distributed in the hope that it will be useful,          //
//  but WITHOUT ANY WARRANTY; without even the implied warranty of           //
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the            //
//  GNU General Public License for more details.                             //
//                                                                           //
//  You should have received a copy of the GNU General Public License        //
//  along with this program; if not, write to the Free Software              //
//  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307 USA //
// ------------------------------------------------------------------------- //

    // ------------------------------------------------------------------------ 
    // configuration file
    // ------------------------------------------------------------------------
    
    // **************************************************************** //
    // ATTENTION                                                        //
    // **************************************************************** //
    // $lvc_include_dir must be set in the file with 'new-visitor' call //
    // **************************************************************** //

    $ignore_messages = true;
    $lvc_include_dir = './';
    $lvc_config_file = 'config.inc.php3';
    include($lvc_include_dir.$lvc_config_file);
    include($lvc_include_dir.'library.inc.php');
  
    $gDb = new Db;
    $connected = $gDb->DbConnect($lvc_db_host, $lvc_db_user, $lvc_db_password, $lvc_db_database);
    $gDb2 = new Db;
    $connected2 = $gDb2->DbConnect($lvc_db_host, $lvc_db_user, $lvc_db_password, $lvc_db_database);

    if ($connected && $connected2)
    {
    // does this visitor is in [$lvc_between_2_visits] last visitors ?
        if (!isset($_GET['reset'])) {
            $query = 'SELECT CODE, FAI FROM '.$lvc_table_visitors.' WHERE BOT=1 AND FAI<>\'B\'';
        }
        else {
            $query = 'SELECT CODE, FAI FROM '.$lvc_table_visitors.' WHERE BOT=1';
        }
        if ($gDb->DbQuery($query) && $gDb->DbNumRows() != 0)
        {
            $bot = 0;
            while ($gDb->DbNextRow())
            {
                $record = $gDb->Row;
                $query  = 'UPDATE '.$lvc_table_visitors.' SET FAI = \'B\' WHERE CODE = ' . $record['CODE'] .' LIMIT 1';
                $gDb2->DbQuery($query);
                $bot ++;
            }
            echo "<hr>BOT corrigs : $bot<hr>";
        }
        else {
            echo "<hr>Aucun BOT  corriger<hr>";
        }

        if (isset($_GET['reset'])) {
            $query = "SELECT CODE, HOST, FAI FROM $lvc_table_visitors WHERE FAI<>'B'";
        }
        else if (isset($_GET['pays'])) {
            $query = "SELECT CODE, HOST, FAI FROM $lvc_table_visitors WHERE FAI='I' OR FAI = '' OR FAI LIKE '%;I' ";
        }
        else {
            $query = "SELECT CODE, HOST, FAI FROM $lvc_table_visitors WHERE FAI='I' OR FAI = ''";
        }
        if ($gDb->DbQuery($query) && $gDb->DbNumRows() != 0)
        {
            $cor = 0;
            $nr = 0;
            $bot = 0;
            while ($gDb->DbNextRow())
            {
                $record = $gDb->Row;
                $code = $record[0];
                $host = $record[1];
                $fai1 = $record[2];
                $fai = analyse_host($host, "127.0.0.1", 1);
                if ($fai != "I" || $fai1 != "I") {
                    $query  = "UPDATE $lvc_table_visitors SET FAI = '$fai' WHERE CODE = " . $record['CODE'] ." LIMIT 1";
                    echo "Reconnu : $fai ($host, code=$code)<br>";
                    $gDb2->DbQuery($query);
                    $cor ++;
                }
                else if ($fai1 == "") {
                    $query  = "UPDATE $lvc_table_visitors SET FAI = '$fai' WHERE CODE = " . $record['CODE'] ." LIMIT 1";
                    $gDb2->DbQuery($query);
                    $nr ++;
                }
                else {
                    echo "Non reconnu : " . extract_server($host). "<br>";
                    $nr ++;
                }
            }
            echo "<hr>Corrigs : $cor<br>Non reconnus : $nr<hr>";
        }
        else {
            echo "<hr>Aucun FAI non reconnu<hr>";
        }
    }
?>